KNIFE-RAW(1)

NAME
knife-raw - The man page for the knife raw subcommand.

The knife raw subcommand is used to send a REST request to a specified path using the Chef Server API.

Syntax

This argument has the following syntax:

$ knife raw REQUEST_PATH (options)

Options

This subcommand has the following options:

-c CONFIG_FILE, --config CONFIG_FILE
    The configuration file to use.

--chef-zero-port PORT
    The port on which chef-zero will listen.

--[no-]color
    Indicates whether colored output will be used.

-d, --disable-editing
    Indicates that $EDITOR will not be opened; data will be accepted as-is.

--defaults
    Indicates that Knife will use the default value, instead of asking a user to provide one.

-e EDITOR, --editor EDITOR
    The $EDITOR that is used for all interactive commands.

-E ENVIRONMENT, --environment ENVIRONMENT
    The name of the environment. When this option is added to a command, the command will run only against the named environment.

-F FORMAT, --format FORMAT
    The output format: summary (default), text, json, yaml, and pp.

-h, --help
    Shows help for the command.

-i FILE, --input FILE
    The name of a file to be used with the PUT or a POST request.

-k KEY, --key KEY
    The private key that Knife will use to sign requests made by the API client to the server.

-m METHOD, --method METHOD
    The request method: DELETE, GET, POST, or PUT. Default value: GET.

--[no-]pretty
    Use --no-pretty to disable pretty-print output for JSON. Default: --pretty.

--print-after
    Indicates that data will be shown after a destructive operation.

-s URL, --server-url URL
    The URL for the server.

-u USER, --user USER
    The user name used by Knife to sign requests made by the API client to the server. Authentication will fail if the user name does not match the private key.

-v, --version
    The version of the chef-client.

-V, --verbose
    Set for more verbose outputs. Use -VV for maximum verbosity.

-y, --yes
    Indicates that the response to all confirmation prompts will be "Yes" (and that Knife will not ask for confirmation).

-z, --local-mode
    Indicates that the chef-client will be run in local mode, which allows all commands that work against the server to also work against the local chef-repo.

    Examples

    To view information about a client:

    knife raw /clients/<client_name>

    To view information about a node:

    knife raw /nodes/<node_name>

    To delete a data bag, enter a command similar to:

    $ knife raw -m DELETE /data/foo

    to return something similar to:

    {
      "name":"foo",
      "json_class":"Chef::DataBag",
      "chef_type":"data_bag"
    }

AUTHOR
Chef